Subject: Re: bug#70046: 29.3; ebuffers mini frame loses focus

From: Vangelis Evangelou <[email-masked]>
Date: Fri, 5 Apr 2024 09:31:36 +0100

I have run emacs like this

emacs -Q --eval '(progn (setq x-allow-focus-stealing nil) (ebuffers
(find-file "~/fileA") (find-file "~/fileB")))'

This does not solve the issue.

On Fri, 5 Apr 2024 at 09:13, Po Lu <[email-masked]> wrote:

> Vangelis Evangelou <[email-masked]> writes:
>
> > Dear all.
> >
> > I have further information on how to reproduce this bug. I believe
> > this issue is a combination of emacs version 29.1 and later (the issue
> > is absent in version 28.1) and my window manager. My window manager is
> > XFCE version 4.18. In the XFCE settings choose "window manager
> > tweaks", then the "focus" tab and untick the option "activate focus
> > stealing prevention". With this choice, the issue I mentioned with the
> > miniframe losing focus can be reproduced. When the "activate focus
> > stealing prevention" option is selected, then this issue goes
> > away. See settings image here
> > https://docs.xfce.org/xfce/xfwm4/wmtweaks#focus I hope this helps.
>
> What if you set x-allow-focus-stealing to nil?
>